com.microfocus.awm.meta.modelextension

## Class DeprecatedFunctionPackage

- java.lang.Object
- - com.microfocus.awm.meta.modelextension.ModelExtensionObject
  - - com.microfocus.awm.meta.modelextension.ModelExtensionWithAttributes
    - - com.microfocus.awm.meta.modelextension.FunctionPackageExtension
      - - com.microfocus.awm.meta.modelextension.DeprecatedFunctionPackage

- All Implemented Interfaces:
    IModelExtensionWithAttributes

      public class DeprecatedFunctionPackage
      extends FunctionPackageExtension

  Simple implementation of a `FunctionPackageExtension` to support old tool types which still use the deprecated tool executor extension point.

  It is not recommended to define tool types under the default package, since it may result in conflicts with other tool types.

  Copyright Micro Focus GmbH.

  Author:
    Ralf Pakosch

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DeprecatedFunctionPackage` | `getInstance()` Gets the singleton instance of the default function package.

    - ### Methods inherited from class com.microfocus.awm.meta.modelextension.FunctionPackageExtension

      `getAllAttributes, getFileDescriptors, getFunctionPackageExtension, getIcons, getIDDefinitions, getInitializer, getLinkedElementTypes, getModelProperties, getPackageParameters, getPropertyProviders, getTemplateModels, getToolTypes, isDisabled, setDisabled, setInitializer, setLabel, toString`

    - ### Methods inherited from class com.microfocus.awm.meta.modelextension.ModelExtensionWithAttributes

      `getAllSimpleAttribues, getAttributes, getComplexAttributeReferences, getComplexAttributes, getReferenceAttributes`

    - ### Methods inherited from class com.microfocus.awm.meta.modelextension.ModelExtensionObject

      `getHelpContextId, getID, getLabel, isDeprecated, setDeprecated, setHelpContextId`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static DeprecatedFunctionPackage getInstance()

      Gets the singleton instance of the default function package.
      Returns:
        the instance

Copyright © 2015 Micro Focus GmbH. All rights reserved.